#ifndef MEMCPY_H
#define MEMCPY_H

/**
 * @brief copy memory
 * @param[in] dest pointer to destination buffer
 * @param[in] src pointer to source data
 * @param[in] sz size of data to copy
 */
void memcpy(void *dest, const void *src, unsigned int sz);

/**
 * @brief set memory to fixed value
 * @param[in] dest pointer to destination buffer
 * @param[in] val fixed value to fill memory with
 * @param[in] sz size of memory to fill
 */
void memset(void *dest, int val, unsigned int sz);

#endif // #ifdef MEMCPY_H

